import { DefinitionBaseDescription } from "./DefinitionBaseDescription";
import { GridColumnAnimationSettingsDescription } from "./GridColumnAnimationSettingsDescription";
import { ColumnWidthDescription } from "./ColumnWidthDescription";
import { ColumnFilterConditionDescription } from "./ColumnFilterConditionDescription";
import { FilterExpressionDescription } from "./FilterExpressionDescription";
import { HeaderDescription } from "./HeaderDescription";
import { FilterOperandDescription } from "./FilterOperandDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class DataGridColumnDescription extends DefinitionBaseDescription {
    static $t: Type;
    protected get_type(): string;
    private static __canMarshalByValue;
    constructor();
    private dk;
    get paddingLeft(): number;
    set paddingLeft(a: number);
    private dm;
    get paddingTop(): number;
    set paddingTop(a: number);
    private dl;
    get paddingRight(): number;
    set paddingRight(a: number);
    private dj;
    get paddingBottom(): number;
    set paddingBottom(a: number);
    private ei;
    get name(): string;
    set name(a: string);
    private ec;
    get field(): string;
    set field(a: string);
    private ee;
    get headerText(): string;
    set headerText(a: string);
    private d0;
    get actualHeaderText(): string;
    set actualHeaderText(a: string);
    private em;
    get selectedBackground(): string;
    set selectedBackground(a: string);
    private d4;
    get actualSelectedBackground(): string;
    set actualSelectedBackground(a: string);
    private ek;
    get rowHoverBackground(): string;
    set rowHoverBackground(a: string);
    private d2;
    get actualHoverBackground(): string;
    set actualHoverBackground(a: string);
    private el;
    get rowHoverTextColor(): string;
    set rowHoverTextColor(a: string);
    private d3;
    get actualRowHoverTextColor(): string;
    set actualRowHoverTextColor(a: string);
    private cc;
    get animationSettings(): GridColumnAnimationSettingsDescription;
    set animationSettings(a: GridColumnAnimationSettingsDescription);
    private b8;
    get width(): ColumnWidthDescription;
    set width(a: ColumnWidthDescription);
    private da;
    get minWidth(): number;
    set minWidth(a: number);
    private cq;
    get isFromMarkup(): boolean;
    set isFromMarkup(a: boolean);
    private ck;
    get isAutoGenerated(): boolean;
    set isAutoGenerated(a: boolean);
    private b6;
    get filter(): ColumnFilterConditionDescription;
    set filter(a: ColumnFilterConditionDescription);
    private ca;
    get filterExpression(): FilterExpressionDescription;
    set filterExpression(a: FilterExpressionDescription);
    private ce;
    get header(): HeaderDescription;
    set header(a: HeaderDescription);
    private cp;
    get isFilteringEnabled(): boolean;
    set isFilteringEnabled(a: boolean);
    private cs;
    get isResizingEnabled(): boolean;
    set isResizingEnabled(a: boolean);
    private cr;
    get isHidden(): boolean;
    set isHidden(a: boolean);
    private ct;
    get shouldRemoveWhenHidden(): boolean;
    set shouldRemoveWhenHidden(a: boolean);
    private en;
    get sortDirection(): string;
    set sortDirection(a: string);
    private ej;
    get pinned(): string;
    set pinned(a: string);
    private dw;
    get actualColumnOptionsIconAlignment(): string;
    set actualColumnOptionsIconAlignment(a: string);
    private d5;
    get columnOptionsIconAlignment(): string;
    set columnOptionsIconAlignment(a: string);
    private dy;
    get actualColumnOptionsIconColor(): string;
    set actualColumnOptionsIconColor(a: string);
    private d7;
    get columnOptionsIconColor(): string;
    set columnOptionsIconColor(a: string);
    private d6;
    get columnOptionsIconBehavior(): string;
    set columnOptionsIconBehavior(a: string);
    private dx;
    get actualColumnOptionsIconBehavior(): string;
    set actualColumnOptionsIconBehavior(a: string);
    private ch;
    get actualIsColumnOptionsEnabled(): boolean;
    set actualIsColumnOptionsEnabled(a: boolean);
    private cl;
    get isColumnOptionsEnabled(): boolean;
    set isColumnOptionsEnabled(a: boolean);
    private cj;
    get actualIsColumnOptionsSummariesEnabled(): boolean;
    set actualIsColumnOptionsSummariesEnabled(a: boolean);
    private cn;
    get isColumnOptionsSummariesEnabled(): boolean;
    set isColumnOptionsSummariesEnabled(a: boolean);
    private ci;
    get actualIsColumnOptionsGroupingEnabled(): boolean;
    set actualIsColumnOptionsGroupingEnabled(a: boolean);
    private cm;
    get isColumnOptionsGroupingEnabled(): boolean;
    set isColumnOptionsGroupingEnabled(a: boolean);
    private co;
    get isEditable(): boolean;
    set isEditable(a: boolean);
    private d8;
    get deletedTextColor(): string;
    set deletedTextColor(a: string);
    private dz;
    get actualDeletedTextColor(): string;
    set actualDeletedTextColor(a: string);
    private c9;
    get editOpacity(): number;
    set editOpacity(a: number);
    private c7;
    get actualEditOpacity(): number;
    set actualEditOpacity(a: number);
    private d9;
    get editFontFamily(): string;
    set editFontFamily(a: string);
    private c8;
    get editFontSize(): number;
    set editFontSize(a: number);
    private ea;
    get editFontStyle(): string;
    set editFontStyle(a: string);
    private eb;
    get editFontWeight(): string;
    set editFontWeight(a: string);
    private eg;
    get mergedCellMode(): string;
    set mergedCellMode(a: string);
    private ef;
    get mergedCellEvaluationCriteria(): string;
    set mergedCellEvaluationCriteria(a: string);
    private eh;
    get mergedCellVerticalAlignment(): string;
    set mergedCellVerticalAlignment(a: string);
    private dg;
    get mergedCellPaddingLeft(): number;
    set mergedCellPaddingLeft(a: number);
    private di;
    get mergedCellPaddingTop(): number;
    set mergedCellPaddingTop(a: number);
    private dh;
    get mergedCellPaddingRight(): number;
    set mergedCellPaddingRight(a: number);
    private df;
    get mergedCellPaddingBottom(): number;
    set mergedCellPaddingBottom(a: number);
    private ed;
    get filterComparisonType(): string;
    set filterComparisonType(a: string);
    private b4;
    get filterOperands(): FilterOperandDescription[];
    set filterOperands(a: FilterOperandDescription[]);
    private d1;
    get actualHeaderTextChangeRef(): string;
    set actualHeaderTextChangeRef(a: string);
}
